<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Citation extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $subtitle = null;
    


    protected $cmsId = null;
    


    protected $imageUrl = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getSubtitle()
    {
        return isset($this->subtitle) ? $this->subtitle : '';
    }

    public function hasSubtitle()
    {
        return isset($this->subtitle);
    }

    public function clearSubtitle()
    {
        unset($this->subtitle);
    }

    




    public function setSubtitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->subtitle = $var;

        return $this;
    }

    



    public function getCmsId()
    {
        return isset($this->cmsId) ? $this->cmsId : '';
    }

    public function hasCmsId()
    {
        return isset($this->cmsId);
    }

    public function clearCmsId()
    {
        unset($this->cmsId);
    }

    




    public function setCmsId($var)
    {
        GPBUtil::checkString($var, True);
        $this->cmsId = $var;

        return $this;
    }

    



    public function getImageUrl()
    {
        return isset($this->imageUrl) ? $this->imageUrl : '';
    }

    public function hasImageUrl()
    {
        return isset($this->imageUrl);
    }

    public function clearImageUrl()
    {
        unset($this->imageUrl);
    }

    




    public function setImageUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->imageUrl = $var;

        return $this;
    }

}

